<?php

namespace App\Repositories\Core\Auth;

use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Auth;

use LangleyFoxall\LaravelNISTPasswordRules\PasswordRules;
use LangleyFoxall\LaravelNISTPasswordRules\ContextSpecificWords;
use LangleyFoxall\LaravelNISTPasswordRules\DerivativesOfContextSpecificWords;
use LangleyFoxall\LaravelNISTPasswordRules\RepetitiveCharacters;
use LangleyFoxall\LaravelNISTPasswordRules\SequentialCharacters;



use App\Repositories\Users;

class Passwords
{
    public static function validator()
    {
        $validator = new \Password\Validator(new \Password\StringHelper);
        $validator->setMinLength(5);
        $validator->setMinLowerCaseLetters(2);
        $validator->setMinUpperCaseLetters(1);
        $validator->setMinNumbers(1);
        $validator->setMinSymbols(3);

        if ($validator->isValid($password)) {
            printf('password %s is valid' . PHP_EOL, $password);
        } else {
            printf('password %s is invalid' . PHP_EOL, $password);
            var_dump($validator->getErrors());
        }
    }
}
